﻿@using Mandiri.Lelang.WebAdminUI.Utility
@model Mandiri.Lelang.ViewModel.CategoryTemplateViewModel

@{
    AjaxOptions submitAjaxOptions = new AjaxOptions();
    submitAjaxOptions.OnBegin = "OnAjaxRequestBegin";
    submitAjaxOptions.OnFailure = "OnAjaxRequestFailure";
    submitAjaxOptions.OnSuccess = "OnAjaxRequestSuccess";
    submitAjaxOptions.UpdateTargetId = "validation-summary";
}

<div class="container" id="divAddForm">
    <div class="page-header">
        <h1>Template Kategori <small>(Tambah atau Edit Template Kategori)</small></h1>
    </div>
    @using (Ajax.BeginForm("CategoryTemplate", "Master", ajaxOptions: submitAjaxOptions, htmlAttributes: new { id = "addForm", role = "form", autocomplete = "off" }))
    {
        <div class="col-md-5">
            @Html.AntiForgeryToken()
            @Html.Partial("_ValidationSummary")
            @Html.HiddenFor(m => m.IsEditMode)
            @Html.HiddenFor(m => m.OriginalFieldName)
            <div class="form-group@(Html.ValidationErrorFor(m => m.CategoryID, " has-error"))">
                @Html.LabelFor(m => m.CategoryID, new { @class = "control-label" })
                <div class="controls">
                    @Html.DropDownListFor(m => m.CategoryID, new SelectList(Model.Categories, "CategoryID", "Name"), "(Required)", htmlAttributes: new { @class = "form-control input-sm", autofocus = "autofocus" })
                    @Html.ValidationMessageFor(m => m.CategoryID, null, new { @class = "help-block" })
                </div>
            </div>
            @Html.EditorFor(m => m.FieldName, additionalViewData: new { placeholder = "Required" })
            @Html.EditorFor(m => m.IsMandatory)
            <button type="submit" class="btn btn-primary">Save</button>
            @Html.ActionLink("Kembali ke List", "CategoryTemplate", "Master", null, new { @class = "btn btn-default" })

            <script type="text/javascript">
                bindValidator("addForm");
            </script>
        </div>
    }
</div>
